#include "simulatorwidget.h"

SimulatorWidget::SimulatorWidget(Simulator& simulator, QWidget *parent)
    : QWidget(parent), simulator(simulator)
{
    setFixedSize(QSize(simulator.get_width(), simulator.get_height()));
    connect(&simulator, SIGNAL(updated()), this, SLOT(simulator_updated()));
}

SimulatorWidget::~SimulatorWidget()
{

}

void SimulatorWidget::simulator_updated() {
    update();
}

void SimulatorWidget::paintEvent(QPaintEvent *) {
    QPainter painter(this);
    int w = width();
    int h = height();
    painter.drawText(20, 20, QString("Select flock using arrow keys. Press enter to study the selected flock."));
    simulator.paint(painter);
}
